Welcome to the Treehouse Community

The Treehouse Community is a meeting place for developers, designers, and programmers of all backgrounds and skill levels to get support. Collaborate here on code errors or bugs that you need feedback on, or asking for an extra set of eyes on your latest project. Join thousands of Treehouse students and alumni in the community today. (Note: Only Treehouse students can comment or ask questions, but non-students are welcome to browse our conversations.)

Looking to learn something new?

Treehouse offers a seven day free trial for new students. Get access to thousands of hours of content and a supportive community. Start your free trial today.

JavaScript Building a MEAN Application Introduction to the MEAN Stack Building a MEAN App Overview

I had error with yo meanjs

D:\mean>yo meanjs You're using the official MEAN.JS generator. ? What mean.js version would you like to generate? 0.4.0 0.4.0 ? In which folder would you like the project to be generated? This can be chang ed later. mean Cloning the MEAN repo....... ? What would you like to call your application? meanapp ? How would you describe your application? Full-Stack JavaScript with MongoDB, Express, AngularJS, and Node.js ? How would you describe your application in comma seperated key words? MongoDB , Express, AngularJS, Node.js ? What is your company/author name? ? Would you like to generate the article example CRUD module? Yes ? Would you like to generate the chat example module? Yes Running npm install for you.... This may take a couple minutes. Error: Command failed: C:\Windows\system32\cmd.exe /s /c "cd mean && npm install " npm WARN deprecated phantomjs@2.1.3: Package renamed to phantomjs-prebuilt. Plea se update 'phantomjs' package references to 'phantomjs-prebuilt' npm WARN engine karma@0.12.37: wanted: {"node":">=0.8 <=0.12 || >=1 <=2"} (curre nt: {"node":"4.4.0","npm":"2.14.20"}) npm WARN deprecated graceful-fs@2.0.3: graceful-fs version 3 and before will fai l on newer node releases. Please update to graceful-fs@^4.0.0 as soon as possibl e. npm WARN deprecated lodash@0.9.2: Grunt needs your help! See https://github.com/ gruntjs/grunt/issues/1403. npm WARN deprecated graceful-fs@3.0.8: graceful-fs version 3 and before will fai l on newer node releases. Please update to graceful-fs@^4.0.0 as soon as possibl e. npm WARN deprecated graceful-fs@1.2.3: graceful-fs version 3 and before will fai l on newer node releases. Please update to graceful-fs@^4.0.0 as soon as possibl e. npm WARN deprecated lodash@1.0.2: lodash@<3.0.0 is no longer maintained. Upgrade to lodash@^4.0.0. npm WARN optional dep failed, continuing fsevents@1.0.8 npm WARN optional dep failed, continuing fsevents@1.0.8 npm WARN optional dep failed, continuing fsevents@1.0.8 npm WARN peerDependencies The peer dependency kerberos@~0.0 included from mongod b-core will no npm WARN peerDependencies longer be automatically installed to fulfill the peerD ependency npm WARN peerDependencies in npm 3+. Your application will need to depend on it explicitly. npm WARN deprecated npmconf@2.1.2: this package has been reintegrated into npm a nd is now out of date with respect to npm gyp ERR! configure error gyp ERR! stack Error: Can't find Python executable "python", you can set the PYT HON env variable. gyp ERR! stack at failNoPython (C:\Program Files\nodejs\node_modules\npm\nod e_modules\node-gyp\lib\configure.js:401:14) gyp ERR! stack at C:\Program Files\nodejs\node_modules\npm\node_modules\node -gyp\lib\configure.js:356:11 gyp ERR! stack at FSReqWrap.oncomplete (fs.js:82:15) gyp ERR! System Windows_NT 6.1.7601 gyp ERR! command "C:\\Program Files\\nodejs\\node.exe" "C:\\Program Files\\nodej s\\node_modules\\npm\\node_modules\\node-gyp\\bin\\node-gyp.js" "rebuild" gyp ERR! cwd D:\mean\mean\node_modules\connect-mongo\node_modules\mongodb\node_m odules\kerberos gyp ERR! node -v v4.4.0 gyp ERR! node-gyp -v v3.3.0 gyp ERR! not ok gyp ERR! configure error gyp ERR! stack Error: Can't find Python executable "python", you can set the PYT HON env variable. gyp ERR! stack at failNoPython (C:\Program Files\nodejs\node_modules\npm\nod e_modules\node-gyp\lib\configure.js:401:14) gyp ERR! stack at C:\Program Files\nodejs\node_modules\npm\node_modules\node -gyp\lib\configure.js:356:11 gyp ERR! stack at FSReqWrap.oncomplete (fs.js:82:15) gyp ERR! System Windows_NT 6.1.7601 gyp ERR! command "C:\\Program Files\\nodejs\\node.exe" "C:\\Program Files\\nodej s\\node_modules\\npm\\node_modules\\node-gyp\\bin\\node-gyp.js" "rebuild" gyp ERR! cwd D:\mean\mean\node_modules\grunt-node-inspector\node_modules\node-in spector\node_modules\ws\node_modules\utf-8-validate gyp ERR! node -v v4.4.0 gyp ERR! node-gyp -v v3.3.0 gyp ERR! not ok gyp ERR! configure error gyp ERR! stack Error: Can't find Python executable "python", you can set the PYT HON env variable. gyp ERR! stack at failNoPython (C:\Program Files\nodejs\node_modules\npm\nod e_modules\node-gyp\lib\configure.js:401:14) gyp ERR! stack at C:\Program Files\nodejs\node_modules\npm\node_modules\node -gyp\lib\configure.js:356:11 gyp ERR! stack at FSReqWrap.oncomplete (fs.js:82:15) gyp ERR! System Windows_NT 6.1.7601 gyp ERR! command "C:\\Program Files\\nodejs\\node.exe" "C:\\Program Files\\nodej s\\node_modules\\npm\\node_modules\\node-gyp\\bin\\node-gyp.js" "rebuild" gyp ERR! cwd D:\mean\mean\node_modules\grunt-node-inspector\node_modules\node-in spector\node_modules\ws\node_modules\bufferutil gyp ERR! node -v v4.4.0 gyp ERR! node-gyp -v v3.3.0 gyp ERR! not ok npm WARN optional dep failed, continuing utf-8-validate@1.1.0 npm WARN optional dep failed, continuing bufferutil@1.1.0 gyp ERR! configure error gyp ERR! stack Error: Can't find Python executable "python", you can set the PYT HON env variable. gyp ERR! stack at failNoPython (C:\Program Files\nodejs\node_modules\npm\nod e_modules\node-gyp\lib\configure.js:401:14) gyp ERR! stack at C:\Program Files\nodejs\node_modules\npm\node_modules\node -gyp\lib\configure.js:356:11 gyp ERR! stack at FSReqWrap.oncomplete (fs.js:82:15) gyp ERR! System Windows_NT 6.1.7601 gyp ERR! command "C:\\Program Files\\nodejs\\node.exe" "C:\\Program Files\\nodej s\\node_modules\\npm\\node_modules\\node-gyp\\bin\\node-gyp.js" "rebuild" gyp ERR! cwd D:\mean\mean\node_modules\gulp-protractor\node_modules\protractor\n ode_modules\selenium-webdriver\node_modules\ws\node_modules\utf-8-validate gyp ERR! node -v v4.4.0 gyp ERR! node-gyp -v v3.3.0 gyp ERR! not ok gyp ERR! configure error gyp ERR! stack Error: Can't find Python executable "python", you can set the PYT HON env variable. gyp ERR! stack at failNoPython (C:\Program Files\nodejs\node_modules\npm\nod e_modules\node-gyp\lib\configure.js:401:14) gyp ERR! stack at C:\Program Files\nodejs\node_modules\npm\node_modules\node -gyp\lib\configure.js:356:11 gyp ERR! stack at FSReqWrap.oncomplete (fs.js:82:15) gyp ERR! System Windows_NT 6.1.7601 gyp ERR! command "C:\\Program Files\\nodejs\\node.exe" "C:\\Program Files\\nodej s\\node_modules\\npm\\node_modules\\node-gyp\\bin\\node-gyp.js" "rebuild" gyp ERR! cwd D:\mean\mean\node_modules\gulp-protractor\node_modules\protractor\n ode_modules\selenium-webdriver\node_modules\ws\node_modules\bufferutil gyp ERR! node -v v4.4.0 gyp ERR! node-gyp -v v3.3.0 gyp ERR! not ok npm WARN optional dep failed, continuing utf-8-validate@1.2.1 gyp ERR! configure error gyp ERR! stack Error: Can't find Python executable "python", you can set the PYT HON env variable. gyp ERR! stack at failNoPython (C:\Program Files\nodejs\node_modules\npm\nod e_modules\node-gyp\lib\configure.js:401:14) gyp ERR! stack at C:\Program Files\nodejs\node_modules\npm\node_modules\node -gyp\lib\configure.js:356:11 gyp ERR! stack at FSReqWrap.oncomplete (fs.js:82:15) gyp ERR! System Windows_NT 6.1.7601 gyp ERR! command "C:\\Program Files\\nodejs\\node.exe" "C:\\Program Files\\nodej s\\node_modules\\npm\\node_modules\\node-gyp\\bin\\node-gyp.js" "rebuild" gyp ERR! cwd D:\mean\mean\node_modules\grunt-protractor-runner\node_modules\prot ractor\node_modules\selenium-webdriver\node_modules\ws\node_modules\bufferutil gyp ERR! node -v v4.4.0 gyp ERR! node-gyp -v v3.3.0 gyp ERR! not ok npm WARN optional dep failed, continuing bufferutil@1.2.1 gyp ERR! configure error gyp ERR! stack Error: Can't find Python executable "python", you can set the PYT HON env variable. gyp ERR! stack at failNoPython (C:\Program Files\nodejs\node_modules\npm\nod e_modules\node-gyp\lib\configure.js:401:14) gyp ERR! stack at C:\Program Files\nodejs\node_modules\npm\node_modules\node -gyp\lib\configure.js:356:11 gyp ERR! stack at FSReqWrap.oncomplete (fs.js:82:15) gyp ERR! System Windows_NT 6.1.7601 gyp ERR! command "C:\\Program Files\\nodejs\\node.exe" "C:\\Program Files\\nodej s\\node_modules\\npm\\node_modules\\node-gyp\\bin\\node-gyp.js" "rebuild" gyp ERR! cwd D:\mean\mean\node_modules\grunt-protractor-runner\node_modules\prot ractor\node_modules\selenium-webdriver\node_modules\ws\node_modules\utf-8-valida te gyp ERR! node -v v4.4.0 gyp ERR! node-gyp -v v3.3.0 gyp ERR! not ok npm WARN optional dep failed, continuing bufferutil@1.2.1 npm WARN optional dep failed, continuing utf-8-validate@1.2.1 gyp ERR! configure error gyp ERR! stack Error: Can't find Python executable "python", you can set the PYT HON env variable. gyp ERR! stack at failNoPython (C:\Program Files\nodejs\node_modules\npm\nod e_modules\node-gyp\lib\configure.js:401:14) gyp ERR! stack at C:\Program Files\nodejs\node_modules\npm\node_modules\node -gyp\lib\configure.js:356:11 gyp ERR! stack at FSReqWrap.oncomplete (fs.js:82:15) gyp ERR! System Windows_NT 6.1.7601 gyp ERR! command "C:\\Program Files\\nodejs\\node.exe" "C:\\Program Files\\nodej s\\node_modules\\npm\\node_modules\\node-gyp\\bin\\node-gyp.js" "configure" "--f allback-to-build" "--module=D:\\mean\\mean\\node_modules\\grunt-node-inspector\\ node_modules\\node-inspector\\node_modules\\v8-debug\\build\\debug\\v0.4.6\\node -v46-win32-x64\\debug.node" "--module_name=debug" "--module_path=D:\\mean\\mean\ \node_modules\\grunt-node-inspector\\node_modules\\node-inspector\\node_modules\ \v8-debug\\build\\debug\\v0.4.6\\node-v46-win32-x64" gyp ERR! cwd D:\mean\mean\node_modules\grunt-node-inspector\node_modules\node-in spector\node_modules\v8-debug gyp ERR! node -v v4.4.0 gyp ERR! node-gyp -v v3.3.0 gyp ERR! not ok node-pre-gyp ERR! build error node-pre-gyp ERR! stack Error: Failed to execute 'node-gyp.cmd configure --fallb ack-to-build --module=D:\mean\mean\node_modules\grunt-node-inspector\node_module s\node-inspector\node_modules\v8-debug\build\debug\v0.4.6\node-v46-win32-x64\deb ug.node --module_name=debug --module_path=D:\mean\mean\node_modules\grunt-node-i nspector\node_modules\node-inspector\node_modules\v8-debug\build\debug\v0.4.6\no de-v46-win32-x64' (1) node-pre-gyp ERR! stack at ChildProcess.<anonymous> (D:\mean\mean\node_modul es\grunt-node-inspector\node_modules\node-inspector\node_modules\v8-debug\node_m odules\node-pre-gyp\lib\util\compile.js:83:29) node-pre-gyp ERR! stack at emitTwo (events.js:87:13) node-pre-gyp ERR! stack at ChildProcess.emit (events.js:172:7) node-pre-gyp ERR! stack at maybeClose (internal/child_process.js:827:16) node-pre-gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/chi ld_process.js:211:5) node-pre-gyp ERR! System Windows_NT 6.1.7601 node-pre-gyp ERR! command "C:\Program Files\nodejs\node.exe" "D:\mean\mean\ \node_modules\grunt-node-inspector\node_modules\node-inspector\node_modules\ \v8-debug\node_modules\node-pre-gyp\bin\node-pre-gyp" "install" "--fallback- to-build" node-pre-gyp ERR! cwd D:\mean\mean\node_modules\grunt-node-inspector\node_module s\node-inspector\node_modules\v8-debug node-pre-gyp ERR! node -v v4.4.0 node-pre-gyp ERR! node-pre-gyp -v v0.6.23 node-pre-gyp ERR! not ok gyp ERR! configure error gyp ERR! stack Error: Can't find Python executable "python", you can set the PYT HON env variable. gyp ERR! stack at failNoPython (C:\Program Files\nodejs\node_modules\npm\nod e_modules\node-gyp\lib\configure.js:401:14) gyp ERR! stack at C:\Program Files\nodejs\node_modules\npm\node_modules\node -gyp\lib\configure.js:356:11 gyp ERR! stack at FSReqWrap.oncomplete (fs.js:82:15) gyp ERR! System Windows_NT 6.1.7601 gyp ERR! command "C:\Program Files\nodejs\node.exe" "C:\Program Files\nodej s\node_modules\npm\node_modules\node-gyp\bin\node-gyp.js" "configure" "--f allback-to-build" "--module=D:\mean\mean\node_modules\grunt-node-inspector\ node_modules\node-inspector\node_modules\v8-profiler\build\profiler\v5.2.1 2\node-v46-win32-x64\profiler.node" "--module_name=profiler" "--module_path=D: \mean\mean\node_modules\grunt-node-inspector\node_modules\node-inspector\ node_modules\v8-profiler\build\profiler\v5.2.12\node-v46-win32-x64" gyp ERR! cwd D:\mean\mean\node_modules\grunt-node-inspector\node_modules\node-in spector\node_modules\v8-profiler gyp ERR! node -v v4.4.0 gyp ERR! node-gyp -v v3.3.0 gyp ERR! not ok node-pre-gyp ERR! build error node-pre-gyp ERR! stack Error: Failed to execute 'node-gyp.cmd configure --fallb ack-to-build --module=D:\mean\mean\node_modules\grunt-node-inspector\node_module s\node-inspector\node_modules\v8-profiler\build\profiler\v5.2.12\node-v46-win32- x64\profiler.node --module_name=profiler --module_path=D:\mean\mean\node_modules \grunt-node-inspector\node_modules\node-inspector\node_modules\v8-profiler\build \profiler\v5.2.12\node-v46-win32-x64' (1) node-pre-gyp ERR! stack at ChildProcess.<anonymous> (D:\mean\mean\node_modul es\grunt-node-inspector\node_modules\node-inspector\node_modules\v8-profiler\nod e_modules\node-pre-gyp\lib\util\compile.js:83:29) node-pre-gyp ERR! stack at emitTwo (events.js:87:13) node-pre-gyp ERR! stack at ChildProcess.emit (events.js:172:7) node-pre-gyp ERR! stack at maybeClose (internal/child_process.js:827:16) node-pre-gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/chi ld_process.js:211:5) node-pre-gyp ERR! System Windows_NT 6.1.7601 node-pre-gyp ERR! command "C:\Program Files\nodejs\node.exe" "D:\mean\mean\ \node_modules\grunt-node-inspector\node_modules\node-inspector\node_modules\ \v8-profiler\node_modules\node-pre-gyp\bin\node-pre-gyp" "install" "--fallba ck-to-build" node-pre-gyp ERR! cwd D:\mean\mean\node_modules\grunt-node-inspector\node_module s\node-inspector\node_modules\v8-profiler node-pre-gyp ERR! node -v v4.4.0 node-pre-gyp ERR! node-pre-gyp -v v0.6.23 node-pre-gyp ERR! not ok npm ERR! Windows_NT 6.1.7601 npm ERR! argv "C:\Program Files\nodejs\node.exe" "C:\Program Files\nodejs\ node_modules\npm\bin\npm-cli.js" "install" npm ERR! node v4.4.0 npm ERR! npm v2.14.20 npm ERR! code ELIFECYCLE

npm ERR! v8-debug@0.4.6 install: node-pre-gyp install --fallback-to-build npm ERR! Exit status 1 npm ERR! npm ERR! Failed at the v8-debug@0.4.6 install script 'node-pre-gyp install --fal lback-to-build'. npm ERR! This is most likely a problem with the v8-debug package, npm ERR! not with npm itself. npm ERR! Tell the author that this fails on your system: npm ERR! node-pre-gyp install --fallback-to-build npm ERR! You can get information on how to open an issue for this project with: npm ERR! npm bugs v8-debug npm ERR! Or if that isn't available, you can get their info via: npm ERR! npm ERR! npm owner ls v8-debug npm ERR! There is likely additional logging output above.

npm ERR! Please include the following file with any support request: npm ERR! D:\mean\mean\npm-debug.log

at ChildProcess.exithandler (child_process.js:213:12)
at emitTwo (events.js:87:13)
at ChildProcess.emit (events.js:172:7)
at maybeClose (internal/child_process.js:827:16)
at Process.ChildProcess._handle.onexit (internal/child_process.js:211:5)

3 Answers

Ken Howard
STAFF
Ken Howard
Treehouse Guest Teacher

The meanjs generator isn't required to complete this course. If you would try to resolve this issue you should first install PYTHON as it's required by a dependency (node-gyp) of the meanjs generator.

Here's some information on node-gyp regarding PYTHON: https://github.com/nodejs/node-gyp#installation

Once you have successfully installed PYTHON and node-gyp you should be able to use the meanjs generator.

Jason Anders
MOD
Jason Anders
Treehouse Moderator 145,624 Points

While it may not be needed for the course, it would sure be nice if someone could explain what the MULTIPLE errors are and how to correct them. I have exactly the same screen after screen of errors and have found no explanation or solution anywhere.

There seems to be multiple students that have the same issue, and it would be nice to know why and to have it solved.

Tagging: Ken Howard

Tried to tag Houston too, but no dice.

:dizzy:

try js version 0.4.2 mines worked on that version. Good luck!